3 Replies Latest reply: Jun 29, 2013 10:26 AM by Grant Bennet-Alder
Jansb Level 1 Level 1

My Mac is OS 10.5.8 and I have tried to download the newest Adobe Flash (I have 10.3.183.86 but my games need a newer one) and I keep getting an error message. Any hints on fixes? I have updated regularly, but lately there hasn't been any new updates. Do I need a newer version of Safari? Thanks for all your help.


iMac (24-inch Early 2008), Mac OS X (10.5.8)
Solved by The hatter on Jun 29, 2013 6:49 AM Solved

you should and need to be running what is supported by Apple and others now: Snow Leopard 10.6.8 which you can buy for $30, then see if you can upgrade to Lion or ML for another $19-29 from App Store (but by phone as only Mountain Lion is offered directly)

 

How to Buy Mac OS X Mountain Lion/Lion

http://www.apple.com/osx/how-to-upgrade/

 

Direct you to the proper forum for MacBook :

MacBook Series Forums

https://discussions.apple.com/community/notebooks?view=discussions

http://www.apple.com/support/macbookpro

 

Mac OS X Forum

https://discussions.apple.com/community/mac_os?view=discussions

 

This forum deals with a desktop/tower 65lb Mac Pro

http://www.apple.com/support/macpro